<template>
  <div id="centerRight1">
    <div class="bg-color-black">
      <div class="d-flex pt-2 pl-2">
        <span>
          <icon name="chart-line" class="text-icon"></icon>
        </span>
        <div class="d-flex">
          <span >检测线工单信息</span>
        </div>
      </div>
      <div class="d-flex jc-center body-box">
        <dv-scroll-board class="dv-scr-board" :config="config" />
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  data() {
    return {
      config: {
        header: ['工单编号','图号', '计划数量', '炉号'],
        data: [],
        rowNum: 10, //表格行数
        headerHeight: 35,
        headerBGC: '#0f1325', //表头
        oddRowBGC: '#0f1325', //奇数行
        evenRowBGC: '#171c33', //偶数行
        index: true,
        columnWidth: [70,70,80,100],
        align: ['center']
      }
    }
  },
  components: {},
  mounted() {

    this.setData();
  },
  methods: {
    setData(){
      this.GetLocationData();
      setInterval(() => {
        this.GetLocationData()
      },36000)
    },
    GetLocationData(){
      var _this=this;
      this.data = [];
      axios.post("http://192.168.12.101:8099/api/Readplc/Workinfo_information").then((x)=>{
        let GetAGVTaskData = []
          x.data.forEach(element => {
            let data = [
              element.jobID,element.drawingNo,element.quantity,element.heatID]
            GetAGVTaskData.push(data)
          });
          this.config.data = GetAGVTaskData
          this.config = {
            header: ['工单编号','图号', '数量', '炉号'],
            data: GetAGVTaskData,
            rowNum: 10, //表格行数
            headerHeight: 40,
            headerBGC: '#0f1325', //表头
            oddRowBGC: '#0f1325', //奇数行
            evenRowBGC: '#171c33', //偶数行
            index: true,
            columnWidth: [50,130,100,60,460],
            align: ['center'],
          }
      }).catch((x)=>{
        console.log(x);
      })
    },
  }
}
</script>

<style lang="scss" scoped>
$box-height: 520px;
$box-width: 850px;
#centerRight1 {
  padding: 10px;
  padding-top: 20px;
  
  height: $box-height;
  width: $box-width;
  border-radius: 5px;
  .bg-color-black {
    height: $box-height - 30px;
    border-radius: 10px;
  }
  .text {
    color: #c3cbde;
  }
  
  .body-box {
    border-radius: 10px;
    overflow: hidden;
    .dv-scr-board {
       width: 100%;
      height: 450px;
    }
  }
}

</style>
